
/* Gallery chính/flux slider */
.gallery,.slider-wrapper { position:relative; width:100%; height:0; padding-top: 57.14285714285714%; overflow:visible; background:rgba(0,0,0,.2); }
.gallery[class*='gallery-columns-9'] { display:none; }
.gallery > *, .slider-wrapper > * { width:100%; height:100%; position:absolute; top:0; left:0; overflow:visible; }
.fluxslider { z-index: 30; }
.slider-wrapper > img, .entry-content img {
  border-radius: 2px; box-shadow: 0 0 2px #000; transition: .3s all ease;
  margin: 5px;
}
.slider-wrapper > img {
  width:calc(100% - 10px); height:calc(100% - 10px);
}
.slider-wrapper > img:hover, .entry-content img:hover {
  /*box-shadow: 0 0 14px -2px #0dd;*/
  -webkit-filter: brightness(1.1); -moz-filter: brightness(1.1); filter: brightness(1.1);
}

/* Sẵn tiện điều chỉnh lại style trong post */
.entry-content p {
  text-indent: 1em; text-align:justify;
}
/*
h6 {
  position: relative;
  display: inline-block; color: #f1f1f1; padding: 8px 0 4px; margin:0 50px 15px 30px;
  background: #333 linear-gradient(to right, rgba(255,255,255,.6) 0%, rgba(255,255,255, 0.4) 100%);
}
h6:before, h6:after {
  content: "";
  position:absolute; top:0; right:100%; width:30px; height:100%; overflow: hidden; margin:0;
  background: #333 linear-gradient(to right, rgba(255,255,255,.3) 0%, rgba(255,255,255, .9) 35%, rgba(255,255,255, .7) 50%, rgba(255,255,255, 0.6) 100%) center 100%/100% 100% no-repeat;
  border-radius: 4px 0 0 4px;
}
h6:after {
  right:initial; left:100%; width:44px;
  background: #333 linear-gradient(to right, rgba(255,255,255,.4) 0%, rgba(255,255,255, .5) 30%, rgba(255,255,255, .2) 100%) center 100%/100% 100% no-repeat;
  border-radius: 0 10px 10px 0;
}
*/

/* Điều chỉnh một số style trong Jetpack này */
#jp-relatedposts .jp-relatedposts-headline em { font-size:12pt; }
#jp-relatedposts .jp-relatedposts-items .jp-relatedposts-post {
  transition: .2s all linear;
}
.jp-relatedposts-post-context { display:none; }

.jp-relatedposts img {margin:0!important;border-radius:0!important;filter:none!important;box-shadow:none!important;}
#content div.sharedaddy, #main div.sharedaddy, div.sharedaddy {clear:initial;width:30%;float:left;}
#main div.jetpack-likes-widget-wrapper.sharedaddy { width: 70%; }
#jp-relatedposts .jp-relatedposts-items {
  display:flex; justify-content:space-around; margin:0;
  background:transparent;
}
#jp-relatedposts .jp-relatedposts-items-visual .jp-relatedposts-post {
  padding:10px; width:calc(33.333% - 10px); background:#fff; border: 1px solid #bbb;
  box-shadow: 1px 1px #999, 1px 1px 6px #999;
  opacity: .9;
}
#jp-relatedposts .jp-relatedposts-items .jp-relatedposts-post .jp-relatedposts-post-title a {
  display: block;
  color: #666; font-weight:bold; text-align:center;
  font-family: heveltica, roboto, sans-serif;
  text-decoration: none;
  padding: 4px;
  font-size: 16px;
  transition:.1s all linear;
}
#jp-relatedposts .jp-relatedposts-items .jp-relatedposts-post:hover .jp-relatedposts-post-title a {
  text-decoration: none;
}
#jp-relatedposts .jp-relatedposts-items .jp-relatedposts-post .jp-relatedposts-post-title a:hover {
  text-decoration: none; color:#72e804;
}
/*.gallery .images > div { background-repeat: no-repeat; background-size: 100%; width: 100%; height: 100%;}*/

.hidden, .hidden *, .slider-icon { opacity:0; visibility:hidden; overflow:hidden; }
.slider-icon { width:0; height:0; }



/* Slider nhỏ */
 * { box-sizing: border-box; }
.gallery { margin-bottom: 105px; }
.gallery figure img { opacity:0; }
.slider-nav-wrapper { position:absolute; top:100%; width:100%; height:100px; overflow: hidden; background: rgba(255,255,255,.7); padding: 0 30px;
  background: #444 linear-gradient(to bottom, rgba(255,255,255,.7) 0%, rgba(255,255,255, 0.6) 75%, rgba(255,255,255, 0.2) 100%) center 100%/100% 100% no-repeat;
  background: #fff;
}
/*.slider-nav-wrapper:after, .slider-nav-wrapper:before {
  content: ""; position:absolute; top:0; width:100px; height:100%;
  background: -moz-linear-gradient(left, rgba(0,0,0,0.7) 0%, rgba(0,0,0,.3) 34%, rgba(0,0,0,0) 100%);
  background: -webkit-linear-gradient(left, rgba(0,0,0,0.7) 0%, rgba(0,0,0,.3) 34%, rgba(0,0,0,0) 100%);
  background: linear-gradient(to right, rgba(0,0,0,0.7) 0%, rgba(0,0,0,.3) 34%, rgba(0,0,0,0) 100%);
  filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#a6000000', endColorstr='#00000000',GradientType=1 );
  pointer-events: none;
  -webkit-filter: blur(2px);
  -moz-filter: blur(2px);
  filter: blur(2px);
  z-index:10;
}
.slider-nav-wrapper:after {
  left:0;
}
.slider-nav-wrapper:before {
  right:0; transform: scaleX(-1);
}
  */
.slider-nav { display:flex; overflow:hidden; position:relative; top:0; bottom:0; height:100%; transition: .3s all ease; }
.slider-nav > img { height:100%; padding:10px; margin: 0; cursor:pointer;
  -webkit-user-select: none;
  -khtml-user-select: none;
  -moz-user-select: none;
  -o-user-select: none;
  user-select: none;
  draggable: false;
  box-shadow: 0 0 0.01px rgba(0,255,255,.7);
  border: 0px solid #0ff;
  opacity:.7; 
  filter: blur(.4px);
  transition: .3s all ease;
}
.slider-nav > img.focus {
  padding:4px;
  box-shadow: 0 0 6px rgba(0,255,255,.7);
  border:1.5px solid #0ff;
  box-shadow: 0 0 6px rgba(98, 254, 0, 0.7);
  border: 1.5px solid #64ff04;
  filter: blur(0);
  opacity:1;
}

/* icon bar for navigation */
.gallery { /* margin-top: 50px; */ }
.slider-icon-nav { display:none!important; /* comment this to show icon navigation */
  position: absolute; top:-44px; left:0; width: 100%; height:44px; border-radius: 22px 22px 0 0;
  background: #666 linear-gradient(to bottom, rgba(255,255,255,.5) 0%, rgba(255,255,255, 0.8) 35%, rgba(255,255,255, 0.6) 100%);
  display: flex; justify-content: center;
}
.slider-icon-nav > img { margin: 0; border-radius:0; box-shadow:none;
  width: 44px; height: 44px; padding:10px 12px 12px; cursor: pointer; pointer-events:initial;
  transition: .3s all ease; filter: brightness(1);
}
.slider-icon-nav > img[src=""], .slider-icon-nav > img[src*="none-icon"] {
  border-radius: 50%; overflow:hidden;
  background: url(/wp-content/uploads/2016/12/none-icon.png) center center/100% 100% no-repeat;
  margin: 14px; padding:0; width:16px; height:16px;
}
.slider-icon-nav > img[src=""]::alttext-container {
  display:none; opacity:0; visibility:hidden;
}
.slider-icon-nav > img:hover {
  filter: brightness(1.1); box-shadow:none;
}
.slider-icon-nav > img.focus {
  filter: brightness(3);
}

/** 3D nhúng từ share3d.com **/
iframe[src*="sharemy3d.com"] { opacity:0; visibility:hidden; height:0; pointer-events:none; transition: 2s all ease; z-index:3000; }
iframe.show[src*="sharemy3d.com"] { opacity:1; visibility:visible; height:100%; pointer-events:initial; }
.toggle-3D {
  z-index: 9999; position: absolute; top:10px; left: calc(100% - 55px); width:44px; height:44px;
  transition: 2s all ease;
}
iframe.show[src*="sharemy3d.com"] ~ .toggle-3D {
  -webkit-animation: transform3DSymbol 2s cubic-bezier(0.4, -0.2, 0.32, 1.21) forwards;
  -moz-animation: transform3DSymbol 2s cubic-bezier(0.4, -0.2, 0.32, 1.21) forwards;
  animation: transform3DSymbol 2s cubic-bezier(0.4, -0.2, 0.32, 1.21) forwards;
}
.toggle-3D:after {
  content: attr(data-text);
  color: #fafafa; text-shadow: 0 0 1px #fff;
  font-size: 18px; line-height: 24px; white-space: nowrap; overflow:hidden;
  position: absolute; bottom: -5px; left: 110%; max-width: 0;
  transition: .4s all ease;
  opacity: 0; visibility: hidden;
}
iframe.show[src*="sharemy3d.com"] ~ .toggle-3D.view-text:after {
  max-width: 500px; opacity: 1; visibility:visible;
}
.toggle-3D > * {
  transition: 2s all ease; cursor: pointer; width:100%; height:100%;
  filter: drop-shadow(0 0 2px #aaa) brightness(100%);
  animation: rotate3D 10s infinite linear;
  background: transparent url(/wp-content/uploads/2016/12/3d-icon.png) center center/100% 100% no-repeat;
}
.toggle-3D:hover > * {
  filter: drop-shadow(0 0 8px #fff);
}
iframe.show[src*="sharemy3d.com"] ~ .toggle-3D > * {
  filter: drop-shadow(0 0 8px #0ff) brightness(300%);
}
@-webkit-keyframes rotate3D {
  0 { transform: rotateZ(10deg) rotate3D(.05,1,0,0deg); }
  50% { transform: rotateZ(10deg) rotate3D(.05,1,0,360deg); }
}
@-moz-keyframes rotate3D {
  0 { transform: rotateZ(10deg) rotate3D(.05,1,0,0deg); }
  50% { transform: rotateZ(10deg) rotate3D(.05,1,0,360deg); }
}
@keyframes rotate3D {
  0 { transform: rotateZ(10deg) rotate3D(.05,1,0,0deg); }
  50% { transform: rotateZ(10deg) rotate3D(.05,1,0,360deg); }
}
@-webkit-keyframes transform3DSymbol {
  0 { top:10px; left: calc(100% - 55px); }
  50% { top: calc(100% - 55px); left: calc(100% - 55px); }
  100% { top: calc(100% - 55px); left:10px; }
}
@-moz-keyframes transform3DSymbol {
  0 { top:10px; left: calc(100% - 55px); }
  50% { top: calc(100% - 55px); left: calc(100% - 55px); }
  100% { top: calc(100% - 55px); left:10px; }
}
@keyframes transform3DSymbol {
  0 { top:10px; left: calc(100% - 55px); }
  50% { top: calc(100% - 55px); left: calc(100% - 55px); }
  100% { top: calc(100% - 55px); left:10px; }
}